Bug 434699 - Review Request: ocaml-mysql - OCaml library for accessing MySQL databases
Review Request: ocaml-mysql - OCaml library for accessing MySQL databases
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-24 11:58 EST by Richard W.M. Jones
Modified: 2008-03-04 13:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-04 13:41:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2008-02-24 11:58:15 EST
Spec URL: http://www.annexia.org/tmp/ocaml/ocaml-mysql.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/ocaml-mysql-1.0.4-1.fc9.src.rpm
Description: OCaml library for accessing MySQL databases

This package is rpmlint-clean except for this warning:

  ocaml-mysql<*>: W: invalid-license LGPLv2+ with exceptions

which seems to be a bug in rpmlint.
Comment 1 Richard W.M. Jones 2008-02-24 11:59:23 EST
See: rpmlint bug 434690
Comment 2 Parag AN(पराग) 2008-03-02 06:39:08 EST
build failed with log at
http://koji.fedoraproject.org/koji/getfile?taskID=483889&name=build.log
=======================================================================
ocamlc -c -pp "camlp4o " mysql.ml
sh: camlp4o: command not found
Preprocessor error
make[1]: *** [mysql.cmo] Error 2
make[1]: Leaving directory `/builddir/build/BUILD/ocaml-mysql-1.0.4'
=======================================================================
Comment 3 Richard W.M. Jones 2008-03-03 12:08:59 EST
Mock is my friend.  I will keep repeating it.

Spec URL: http://www.annexia.org/tmp/ocaml/ocaml-mysql.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/ocaml-mysql-1.0.4-2.fc9.src.rpm

* Mon Mar  3 2008 Richard W.M. Jones <rjones@redhat.com> - 1.0.4-2
- Don't need 'ExcludeArch: ppc64' any more.
- Add missing BR for ocaml-camlp4-devel.
- Test build in mock.
Comment 4 Parag AN(पराग) 2008-03-03 23:06:04 EST
Review:
+ package builds in mock (rawhide i386).
koji build =>  http://koji.fedoraproject.org/koji/taskinfo?taskID=489166
+ rpmlint is NOT silent for SRPM and for RPM.
ocaml-mysql.i386: W: invalid-license LGPLv2+ with exceptions
ocaml-mysql.src: W: invalid-license LGPLv2+ with exceptions
ocaml-mysql-devel.i386: W: invalid-license LGPLv2+ with exceptions
==> Ok to accept here as fixed in bug bug 434690
+ source files match upstream.
76f1282bb7299012669bf40cde78216b  ocaml-mysql-1.0.4.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ Compiler flags are honored correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no .pc file present.
+ -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Not a GUI app.
+ Package ocaml-mysql-1.0.4-2.fc9 =>
  Provides: dllmysql_stubs.so ocaml(Mysql) = 661f17883fc86bdab87c2cd99ecd6246
 Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1.3)
libmysqlclient.so.15 libz.so.1 ocaml(Buffer) = f6cef633ea14963b84b79c4095c63dc3
ocaml(Callback) = e5ca1fb5990fac2b7b17cbb1712cffe2 ocaml(Genlex) =
d4f22baa55ba132f6cc3bf2ec6671ffd ocaml(Hashtbl) =
083f2c94b44ff4e0b3220aaea6a783b4 ocaml(Int32) = 711321870c949bd3bbdd092d9bae92e4
ocaml(Int64) = f8f7e2e4c0667ead94596040b12e732d ocaml(Lexing) =
b1793496643444d3762dd42bebe2cfe3 ocaml(List) = da1ce9168f0408ff26158af757456948
ocaml(Map) = dedde7683d54ae7db1eb97cc868dd047 ocaml(MoreLabels) =
e32b0a5e5d53192fe9f7543989261ae8 ocaml(Nativeint) =
e79cdc4d3575c2ed044955cb7ef49aca ocaml(Obj) = 5cfae708052c692ea39d23ed930fd64d
ocaml(Parsing) = 62cca107e4e88af303516459a87c3e9a ocaml(Pervasives) =
8ba3d1faa24d659525c9025f41fd0c57 ocaml(Printf) =
5dbbf45a03b54e6dbfcf39178d0d6341 ocaml(Set) = 7da14e671a035f12386ace3890018ef3
ocaml(StdLabels) = afc5c70a95593ab1b2f875fcfe758714 ocaml(Stream) =
21a833e12efd34ea0c87d8d9da959809 ocaml(runtime) = 3.10.1
+ Package ocaml-mysql-devel-1.0.4-2.fc9 =>
  ocaml-mysql = 1.0.4-2.fc9
+ Followed ocaml packaging guidelines.

APPROVED.

Comment 5 Richard W.M. Jones 2008-03-04 05:45:13 EST
New Package CVS Request
=======================
Package Name: ocaml-mysql
Short Description: OCaml library for accessing MySQL databases
Owners: rjones
Branches: F-8
InitialCC: rjones
Cvsextras Commits: yes
Comment 6 Kevin Fenzi 2008-03-04 12:10:37 EST
cvs done.
Comment 7 Richard W.M. Jones 2008-03-04 13:40:44 EST
Built on F-8 & devel.

Note You need to log in before you can comment on or make changes to this bug.